


@book{nipkow2002isabellehol,
  address = {Berlin; New York},
  author = {Nipkow, Tobias and Paulson, Lawrence C. and Wenzel, Markus},
  title = {Isabelle/HOL - A Proof Assistant for Higher-Order Logic},
  publisher = {Springer},
  url = {isabelle.in.tum.de},
  year = 2002
}


@article{scott70,
author = {Dana  Scott}
title = {Outline of a mathematical theory of computation},



Proceedings of the Fourth Annual Princeton Conference on Information Sciences and Systems (1970) 169–176. [pdf, pdf]
}

Dana S. Scott, Christopher Strachey, Toward a Mathematical Semantics for Computer Languages, Oxford University Computing Laboratory, Technical Monograph PRG-6 (1971) [pdf, pdf]

Dana Scott, Data types as lattices. SIAM Journal of Computing 5 3 (1976) 522–587 [doi:10.1137/0205037, pdf]

Lectures and introductions:

Robert D. Tennent, The denotational semantics of programming languages, Communications of the ACM 19 8 (1976) 437–453 [doi:10.1145/360303.360308, pdf]

Robert D. Tennent, Denotational semantic, in: Handbook of Logic in Computer Science 3, Oxford University Press (1995) [ISBN:9780198537625]

Andrew M. Pitts, Lecture Notes on Denotational Semantics (2012) [pdf, pdf]

@incollection{Reynolds2003,
    author ={John C. Reynolds},
    title = {What do types mean? — From intrinsic to extrinsic semantics.},
    booktitle = {Programming Methodology},
    editor= {McIver, A. and Morgan, C.},
    series = {Monographs in Computer Science},
    publisher = {Springer},
    year = 2003
}


@book{nipkowKlein2014,
   author = {Tobias Nipkow and Gerwin Klein},
   title = {Concrete {S}emantics with {I}sabelle/{HOL}},
   pages = {x + 289 },
   address = {Heidelberg},
   http = {www.concrete-semantics.org},
   publisher = {Springer Verlag},
   year = 2014
   }

@book{winskel1993,
  author = {Winskel, Glynn},
  pages = {xviii+361},
  publisher = {MIT Press},
  series = {Foundation of {C}omputing {S}eries},
  title = {The {F}ormal {S}emantics of {P}rogramming {L}anguages},
  year = 1993
}

@book{mitchell1996,
title = {Foundations for Programming Languages},
year = 1996,
author={John C. Mitchell},
publisher={MIT Press},
}

@book{gordon79denotational,
	author = "Michael J. C. Gordon",
	title = "The Denotational Description of Programming Languages: An Introduction",
	publisher = {Springer Verlag},
	year = 1979,
 pages = 160
 }

@article{nielson1999typeEffects,
  title={Type and Effect Systems},
  author={Nielson, Flemming and Nielson, Hanne Riis},
  journal={Correct System Design: Recent Insights and Advances},
  pages={114--136},
  year={1999},
  publisher={Springer}
}

@book{Liskov81CLU,
 author = {Barbara Liskov and Russell Atkinson and Toby Bloom and Eliot Moss and J. Craig Schaffert and Robert Scheifler and Alan Snyder},
 title = {CLU Reference Manual},
 publisher = {Springer Verlag},
 series = {Lecture Notes in Computer Science},
 volume = 114,
 year=1981,
 pages={190+VIII}
 }

@book{Rutishauser67,
 author = {H. Rutishauser},
 title = {Description of Algol 60},
 series ={Die Grundlagen der mathematischen Wissenschaften},
 volume = 135,
 year=1967,
 pages = {323+XII},
 publisher = {Springer Verlag}
 }


  
@book{milner1991Comentary,
  title={Comentary on standard ML},
  author={Milner, Robin and Tofte, Mads},
  year={1991},
  publisher={MIT press}
}

@book{milner1990Definition,
  title={The definition of standard ML: revised},
  author={Milner, Robin and Tofte, Mads and Harper, Robert},
  year={1990},
  publisher={MIT press}
}

@book{milner1997DefRevised,
  title={The definition of standard ML: revised},
  author={Milner, Robin and Tofte, Mads and Harper, Robert and MacQueen, David},
  year={1997},
  publisher={MIT press}
}


@book{HarperPFPL,
  author    = {Robert Harper},
  title     = {Practical Foundations for Programming Languages (2nd. Ed.)},
  publisher = {Cambridge University Press},
  year      = {2016}}%,
% url       = {www.cs.cmu.edu/$\sim${}rwh/pfpl/index.html}
%}

@article{HudakDSLpaper,
    author = {Paul Hudak},
    title = {Modular Domain Specific Languages and Tools}, 
    booktitle={Proceedings of Fifth International Conference on Software Reuse},
    publisher = {IEEE Computer Society Press},
    year = 1998
}
%[pdf, doi:10.5555/551789.853532]

@paper{Michaelson_AreThereDSLs_16,
    author = {G. Michaelson}, 
    title={Are there Domain Specific Languages?},
    booktitle = {Proceedings of the 1st International Workshop on Real World Domain Specific Languages}, 
    publisher = {ACM}, 
    month={March},
    year = 2016,
    pages = 3,
}

@article{FastandLoose06,
    author = {Nils Anders Danielsson and Jeremy Gibbons and John Hughes and Patrik Jansson} ,
    title = {Fast and loose reasoning is morally correct} ,
    journal = {POPL '06, 33rd ACM SIGPLAN-SIGACT symposium on Principles of programming languages} ,
    year = 2006,
    page = {206-217} ,
    publisher = {ACM}
}


@techreport{mcilwaine2021,
  title={Faustus: Adding Formally Verified Parametertized Abstractions to Marlowe},
  author={McIlwaine, Kegan and Olguin, Stone and Caldwell, James},
  institution={University of Wyoming, Wyoming Advanced Blockchain Research Lab},
  year={2021}
  }

@book{pierce2002,
author={Benjamin Pierce},
title= {Types and Programming Languages},
publisher={MIT Press},
year = 2002,
Address={Cambridge}
}
  
@book{ranta2012book,
author = {Ranta, Aarne},
title = {Implementing Programming Languages. An Introduction to Compilers and Interpreters},
year = {2012},
pages ={207+xiv},
isbn = {1848900643},
publisher = {College Publications},
address={King's College, London}
}

@book{schmidt1994,
	AUTHOR =       {D.A. Schmidt},
	TITLE =        {The Structure of Typed Programming Languages},
	PUBLISHER =    {MIT Press},
	YEAR =         1994,
	ADDRESS =      {Cambridge}
}

@misc{Schmidt1997,
    Author = {D. A. Schmidt},
    Title =  {Denotational {S}emantics: {A} {M}ETHODOLOGY FOR {L}ANGUAGE {D}EVELOPMENT},
    year = 1997,
    pages={294+x},
    url = {https://people.cs.ksu.edu/$~$schmidt/text/ds0122.pdf}
}



@book{mitchel08concepts,
author = {Mitchel, John C.},
title = {Concepts of Programming Languages. An Introduction to Compilers},
year = {2008},
publisher = {Cambridge University Press}
}

@book{ThompsonHaskell,
title = {Haskell: {T}he {C}raft of {F}unctional {P}rogramming},
edition={2nd},
year = {1999},
author={Simon Thompson},
publisher = {Pearson Addison Wesley}
}

@book{Reynolds:ToPL,
title = {Theories of Programming Languages},
author={John C. Reynolds},
year = {1998},
publisher = {Cambridge University Press}
}

@inproceedings{Seijas2018MarloweFC,
  title={Marlowe: Financial Contracts on Blockchain},
  author={Pablo Lamela Seijas and Simon J. Thompson},
  booktitle={Leveraging Applications of Formal Methods},
  year={2018}
}

@book{gosling2022java,
  title={Java language specification:  JSR-394 Java SE 19},
  author={ James Gosling  and Bill Joy and Gilad Bracha and Alex Buckley and Daniel Smith and Gavin Bierman},
  year={2022},
  publisher={Oracle America},
  url={https://docs.oracle.com/javase/specs/jls/se19/jls19.pdf}
}

% Posix Time reference -- need more
@misc{wikipediaPosixTime,
    author = {Wikipedia},
    title = {Unix time: {Wikipedia}{,} {T}he {F}ree {E}ncyclopedia},
    year = {2022},
    url = {https://en.wikipedia.org/w/index.php?title=Unix\_time\&oldid=1121793717},
    note = {[Online; accessed 20-November-2022]}
}

@misc{wikipediaAbstractionPrinciple,
    author = "{Wikipedia contributors}",
    title = "Abstraction principle (computer programming)",
    year = "2022",
    url = "https://tinyurl.com/3utp5x5m",
    note = "[Online; accessed 5-December-2022]"
  }
  
@inproceedings{Merkle1988,
author={Ralph C. Merkle},
year = {1988},
title={A Digital Signature Based on a Conventional Encryption Function},
booktitle= {Advances in Cryptology — CRYPTO '87},
pages={369-378},
series={Lecture Notes in Computer Science},
volume={293},
publisher={Springer Verlag}
}

@inproceedings{lamela2018marlowe,
  title={Marlowe: Financial contracts on blockchain},
  author={Lamela Seijas, Pablo and Thompson, Simon},
  booktitle={International Symposium on Leveraging Applications of Formal Methods},
  pages={356--375},
  year={2018},
  organization={Springer}
}

@inproceedings{lamela2020marlowe,
  title={Marlowe: implementing and analysing financial contracts on blockchain},
  author={Lamela Seijas, Pablo and Nemish, Alexander and Smith, David and Thompson, Simon},
  booktitle={International Conference on Financial Cryptography and Data Security},
  pages={496--511},
  year={2020},
  organization={Springer}
}
@InProceedings{lamela2020analysing,
author="Lamela Seijas, Pablo
and Smith, David
and Thompson, Simon",
editor="Margaria, Tiziana
and Steffen, Bernhard",
title="Efficient Static Analysis of Marlowe Contracts",
booktitle="Leveraging Applications of Formal Methods, Verification and Validation: Applications",
year="2020",
publisher="Springer International Publishing",
pages="161--177"
}

@inbook{lamela2021cryptoloans,
author = {Dmytro Kondratiuk  and Pablo Lamela Seijas  and Alexander Nemish and Simon Thompson},
year = {2021},
month = {09},
pages = {579-594},
title = {Standardized Crypto-Loans on the Cardano Blockchain}
}

@misc{SiekDenotational17,
doi = {10.48550/ARXIV.1707.03762},
url = {https://arxiv.org/abs/1707.03762},
author = {Siek, Jeremy},
keywords = {Programming Languages (cs.PL), Logic in Computer Science (cs.LO), FOS: Computer and information sciences, FOS: Computer and information sciences},
title = {Revisiting Elementary Denotational Semantics},
publisher = {arXiv},
year = {2017},
copyright = {Creative Commons Attribution 4.0 International}
}


@inproceedings{MacQueen1984ModulesFS,
  title={Modules for standard ML},
  author={David B. MacQueen},
  booktitle={LFP '84},
  year={1984}
}
@inproceedings{wadler1990linear,
  title={Linear types can change the world!},
  author={Wadler, Philip},
  booktitle={Programming concepts and methods},
  volume={3},
  number={4},
  pages={5},
  year={1990},
  organization={Citeseer}
}
